com.io7m.r2.core.shaders.provided

## Class R2DepthShaderBasicStippledParameters.Builder

- java.lang.Object
- - com.io7m.r2.core.shaders.provided.R2DepthShaderBasicStippledParameters.Builder

- Enclosing class:
    R2DepthShaderBasicStippledParameters

      public static final class R2DepthShaderBasicStippledParameters.Builder
      extends Object

  Builds instances of type `R2DepthShaderBasicStippledParameters`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2DepthShaderBasicStippledParameters` | `build()` Builds a new `R2DepthShaderBasicStippledParameters`.
    `R2DepthShaderBasicStippledParameters.Builder` | `from(R2DepthShaderBasicParametersValuesType instance)` Fill a builder with attribute values from the provided `com.io7m.r2.core.shaders.provided.R2DepthShaderBasicParametersValuesType` instance.
    `R2DepthShaderBasicStippledParameters.Builder` | `from(R2DepthShaderBasicStippledParametersType instance)` Fill a builder with attribute values from the provided `com.io7m.r2.core.shaders.provided.R2DepthShaderBasicStippledParametersType` instance.
    `R2DepthShaderBasicStippledParameters.Builder` | `setAlbedoTexture(R2Texture2DUsableType albedoTexture)` Initializes the value for the `albedoTexture` attribute.
    `R2DepthShaderBasicStippledParameters.Builder` | `setAlphaDiscardThreshold(float alphaDiscardThreshold)` Initializes the value for the `alphaDiscardThreshold` attribute.
    `R2DepthShaderBasicStippledParameters.Builder` | `setStippleNoiseTexture(R2Texture2DUsableType stippleNoiseTexture)` Initializes the value for the `stippleNoiseTexture` attribute.
    `R2DepthShaderBasicStippledParameters.Builder` | `setStippleThreshold(float stippleThreshold)` Initializes the value for the `stippleThreshold` attribute.
    `R2DepthShaderBasicStippledParameters.Builder` | `setTextureDefaults(R2TextureDefaultsType textureDefaults)` Initializes the value for the `textureDefaults` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2DepthShaderBasicStippledParameters.Builder from(R2DepthShaderBasicStippledParametersType instance)

      Fill a builder with attribute values from the provided `com.io7m.r2.core.shaders.provided.R2DepthShaderBasicStippledParametersType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final R2DepthShaderBasicStippledParameters.Builder from(R2DepthShaderBasicParametersValuesType instance)

      Fill a builder with attribute values from the provided `com.io7m.r2.core.shaders.provided.R2DepthShaderBasicParametersValuesType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setTextureDefaults

          public final R2DepthShaderBasicStippledParameters.Builder setTextureDefaults(R2TextureDefaultsType textureDefaults)

      Initializes the value for the `textureDefaults` attribute.
      Parameters:
        `textureDefaults` - The value for textureDefaults
      Returns:
        `this` builder for use in a chained invocation

    - #### setAlbedoTexture

          public final R2DepthShaderBasicStippledParameters.Builder setAlbedoTexture(R2Texture2DUsableType albedoTexture)

      Initializes the value for the `albedoTexture` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `albedoTexture`.

      Parameters:
        `albedoTexture` - The value for albedoTexture
      Returns:
        `this` builder for use in a chained invocation

    - #### setAlphaDiscardThreshold

          public final R2DepthShaderBasicStippledParameters.Builder setAlphaDiscardThreshold(float alphaDiscardThreshold)

      Initializes the value for the `alphaDiscardThreshold` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `alphaDiscardThreshold`.

      Parameters:
        `alphaDiscardThreshold` - The value for alphaDiscardThreshold
      Returns:
        `this` builder for use in a chained invocation

    - #### setStippleNoiseTexture

          public final R2DepthShaderBasicStippledParameters.Builder setStippleNoiseTexture(R2Texture2DUsableType stippleNoiseTexture)

      Initializes the value for the `stippleNoiseTexture` attribute.
      Parameters:
        `stippleNoiseTexture` - The value for stippleNoiseTexture
      Returns:
        `this` builder for use in a chained invocation

    - #### setStippleThreshold

          public final R2DepthShaderBasicStippledParameters.Builder setStippleThreshold(float stippleThreshold)

      Initializes the value for the `stippleThreshold` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `stippleThreshold`.

      Parameters:
        `stippleThreshold` - The value for stippleThreshold
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2DepthShaderBasicStippledParameters build()

      Builds a new `R2DepthShaderBasicStippledParameters`.
      Returns:
        An immutable instance of R2DepthShaderBasicStippledParameters
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com